1

Topic: Problem with installation in FreeBSD 7.2

Hi!

I try install iRedMail-0.6.0-rc1.tar.bz2. But during installation the following error throws me.

< INFO > Skip installing port: security/php5-openssl.
===>  Cleaning for php5-pcre-5.3.2
< INFO > Installing port: devel/php5-pcre ...
===>  Vulnerability check disabled, database not found
===>  Extracting for php5-pcre-5.3.2
=> MD5 Checksum OK for php-5.3.2.tar.bz2.
=> SHA256 Checksum OK for php-5.3.2.tar.bz2.
===>  Patching for php5-pcre-5.3.2
===>  Applying FreeBSD patches for php5-pcre-5.3.2
===>   php5-pcre-5.3.2 depends on file: /usr/local/bin/phpize - found
===>   php5-pcre-5.3.2 depends on file: /usr/local/bin/autoconf-2.62 - found
===>  PHPizing for php5-pcre-5.3.2
Cannot find config.m4.
Make sure that you run '/usr/local/bin/phpize' in the top level source directory of the module

*** Error code 1

Stop in /usr/ports/devel/php5-pcre.
< ERROR > Port was not success installed, please fix it manually and then re-execute this script.

2

Re: Problem with installation in FreeBSD 7.2

Hi,

From the release of PHP 5.2.7, the extension pcre is not distributed as standalone but packaged together with the core PHP5.
It can be manually installed from:

/usr/ports/lang/php5-extensions and make config to select it.

did you actually do this :

"Make sure that you run '/usr/local/bin/phpize' in the top level source directory of the module"

What i would do is upgrade all ports (but i think you have done that) and try deinstalling and reinstalling again, either manually or using the iredmail.sh script, either way.

Sorry, i have not tested this on 7.2 but on 8.0 it works like a charm.

Just few pointers that you can try. Also note that it is a release candidate and may contain errors with slightly older version of OSs.

rein